# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate webpki

Name:           rust-webpki
Version:        0.22.0
Release:        %autorelease
Summary:        Web PKI X.509 Certificate Verification

# Upstream license specification: None
# * webpki itself is licensed under the terms of the ISC license
# * third-party data from chromium is licensed under a 3-Clause BSD license,
#   but it is only used for integration tests and not included in RPM packages
License:        ISC
URL:            https://crates.io/crates/webpki
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump base64 dev-dependency from 0.9 to 0.13
# * drop profiles that set compiler flags that are incompatible with packaging
Patch:          webpki-fix-metadata.diff

# ring is not available on ppc64le and s390x
ExcludeArch:    ppc64le s390x

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Web PKI X.509 Certificate Verification.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/
# these files are only used by integration tests
%exclude %{crate_instdir}/third-party/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
%autochangelog
